%global commit ec8736c1e3f2f7c68d6cbe96f71acdfb27a26a4c
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global snapshotdate 20230721

Summary: Client side implementation of the ONVIF specification
Name: libonvif
Version: 1.4.5
Release: 0.1.%{snapshotdate}git%{shortcommit}%{?dist}
URL: https://github.com/sr99622/libonvif/
#Source0: %%{url}/archive/v%%{version}/%%{name}-%%{version}.tar.gz
Source0:  %{url}/archive/%{commit}/%{name}-%{shortcommit}.tar.gz
# patch to use system libavio
Patch0: %{name}-fedora.patch
License: LGPL-2.1-or-later AND GPL-2.0-or-later AND CC-PDDC
BuildRequires: cmake
BuildRequires: gcc-c++
BuildRequires: libavio-devel
BuildRequires: libxml2-devel
BuildRequires: pybind11-devel
BuildRequires: python3-devel

%global _description %{expand:
A client side implementation of the ONVIF specification for Linux and Windows.}

%description %{_description}

This package contains the shared library.

%package devel
Summary: %{summary}

%description devel %{_description}

This package contains the development files.

%package -n onvif-util
Summary: %{summary}
Requires: %{name}%{_isa} = %{version}-%{release}

%description -n onvif-util %{_description}

This package contains the command line program.

%package -n onvif-gui
Summary: %{summary}
#BuildRequires: cmake(Qt5Widgets)
Requires: %{name}%{_isa} = %{version}-%{release}

%description -n onvif-gui %{_description}

This package contains the program with a Graphical User Interface.

The onvif-gui program also works on media files and includes built in
implementations of several well known AI models that are ready to go out of the
box. Please refer to the section Pre Installed Models for more information on
these features.

%prep
%autosetup -p1 -n %{name}-%{commit}
rm -rv libavio
rm -rv libonvif/libonvif/*.dll
rm -rv libonvif/libxml2
rmdir libonvif/pybind11

%build
%cmake -DCMAKE_BUILD_TYPE=RelWithDebInfo
%cmake_build

%install
%cmake_install

%files
%license LICENSE
%doc README.md
%{_libdir}/libonvif.so.1

%files -n onvif-util
%{_bindir}/onvif-util
%{_mandir}/man1/onvif-util.1*

%files devel
%{_includedir}/onvif.h
%{_includedir}/onvifboss.h
%{_libdir}/libonvif.so

%changelog
* Sat Jul 22 2023 Dominik Mierzejewski <dominik@greysector.net> - 1.4.4-1
- initial build
